<inp2:m_include t="incs/header"/>
<inp2:m_RenderElement name="combined_header" prefix="sqe" section="in-commerce:shipping_quote_engines" pagination="1" title_preset="engine_list" tabs="in-commerce/shipping/shipping_tabs"/>

<!-- ToolBar -->
<table class="toolbar" height="30" cellspacing="0" cellpadding="0" width="100%" border="0">
<tbody>
	<tr>
  	<td>
  		<script type="text/javascript">
				a_toolbar = new ToolBar();

				function edit()
				{
				  	std_edit_item('sqe', 'in-commerce/shipping/shipping_quote_engine_edit');
				}

				a_toolbar.AddButton( new ToolBarButton('edit', '<inp2:m_phrase label="la_ToolTip_Edit" escape="1"/>', edit) );

			  	a_toolbar.AddButton( new ToolBarSeparator('sep1') );

			  	a_toolbar.AddButton( new ToolBarButton('approve', '<inp2:m_phrase label="la_ToolTip_Approve" escape="1"/>', function() {
							submit_event('sqe','OnMassApprove');
						}
				 ) );

				a_toolbar.AddButton( new ToolBarButton('decline', '<inp2:m_phrase label="la_ToolTip_Decline" escape="1"/>', function() {
							submit_event('sqe','OnMassDecline');
						}
				 ) );

				a_toolbar.AddButton( new ToolBarSeparator('sep2') );

				a_toolbar.AddButton( new ToolBarButton('view', '<inp2:m_phrase label="la_ToolTip_View" escape="1"/>', function() {
							show_viewmenu(a_toolbar,'view');
						}
				) );

				a_toolbar.Render();

			</script>
		</td>

		<inp2:m_RenderElement name="search_main_toolbar" prefix="sqe" grid="Default"/>
	</tr>
</tbody>
</table>

<inp2:m_RenderElement name="grid" PrefixSpecial="sqe" IdField="EngineId" grid="Default" menu_filters="yes"/>
<script type="text/javascript">
	Grids['sqe'].SetDependantToolbarButtons( new Array('edit','approve','decline') );
</script>

<inp2:m_include t="incs/footer"/>